<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";

    //13. ADEUDOS / PASIVOS//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function plantilla13test($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('13_adeudos', $where, 1);
    $codigo_13 = $query->row();

    //View tipos Declarante  13. Adeudos
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('13_adeudos');
    $CI->db->join('tipos_declarante', '13_adeudos.titular_adeudo=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante13 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    // $pdf->setSourceFile('plantillas/Adeudos_13.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);

    if ($codigo_13->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.3, 25.4, 4, 4);
    }
    //SIN CAMBIO--SOLO PARA FORMATO MOD
    if ($codigo_13->ninguno == '2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.6, 19, 4, 4);
    }
    if ($codigo->tipo_formato == 3) {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(24);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 5, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true);
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_13->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(24);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    } 
    $pdf->SetFillColor(0, 0, 0);
    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetY(56);
    $pdf->SetX(50);
    //  $pdf->Cell(92, 4, utf8_decode($codigo_13->tipo_adeudo));
    
    if ($view_declarante13 != null) {
    if ($view_declarante13->nombre == 'DECLARANTE') {


    if ($codigo_13->tipo_adeudo == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(60, 4, utf8_decode($codigo_13->tipo_adeudo_esp));
    } else {
        $pdf->Cell(60, 4, utf8_decode($codigo_13->tipo_adeudo));
    }
    $pdf->Ln(5);
    $pdf->SetX(50);
    $pdf->Cell(124, 4, utf8_decode($view_declarante13->nombre));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_13->numero_cuenta), 0, 0, '', true);
    $pdf->Cell(92, 4, utf8_decode($codigo_13->fecha_adquisicion));
    $pdf->Ln(13);
    $pdf->SetX(13);
    $pdf->Cell(45, 4, utf8_decode($codigo_13->monto_adeudo));
    $pdf->Cell(85, 4, utf8_decode($codigo_13->tipo_moneda));
    $pdf->Cell(60, 4, utf8_decode($codigo_13->saldo), 0, 0, '', true);
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(45, 4, utf8_decode($codigo_13->tercero));

    if ($codigo_13->tercero == 'PERSONA FÍSICA') {
        $pdf->Cell(97, 4, utf8_decode($codigo_13->nombre_tercero), 0, 0, '', true);
        $pdf->Cell(47, 4, utf8_decode($codigo_13->rfc_tercero), 0, 0, '', true);
    }else{
        $pdf->Cell(97, 4, utf8_decode($codigo_13->nombre_tercero));
        $pdf->Cell(42, 4, utf8_decode($codigo_13->rfc_tercero));
    }


    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(45, 4, utf8_decode($codigo_13->otorgante));

    if ($codigo_13->otorgante == 'PERSONA FÍSICA') {
        $pdf->Cell(97, 4, utf8_decode($codigo_13->nombre_otorgante), 0, 0, '', true);
        $pdf->Cell(47, 4, utf8_decode($codigo_13->rfc_otorgante), 0, 0, '', true);
    }else{
        $pdf->Cell(97, 4, utf8_decode($codigo_13->nombre_otorgante));
        $pdf->Cell(47, 4, utf8_decode($codigo_13->rfc_otorgante));
    }

    $pdf->Ln(9.5);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_13->mexico_extranjero));

    if ($codigo_13->mexico_extranjero == 'EN EL EXTRANJERO') {
        $pdf->SetX(70);
        $pdf->Cell(92, 4, '[' . utf8_decode($codigo_13->pais) . ']');
    }

    $pdf->SetY(124);
    $pdf->SetX(13);
    $pdf->MultiCell(190, 3.5, utf8_decode($codigo_13->aclaraciones), 0, '', true);

    //-----------------------------------------------------------------------------------------------------------------------
        } else {
            if ($codigo_13->tipo_adeudo == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(153, 4, utf8_decode($codigo_13->tipo_adeudo_esp), 0, 0, '', true);
            } else {
                $pdf->Cell(153, 4, utf8_decode($codigo_13->tipo_adeudo), 0, 0, '', true);
            }
            $pdf->Ln(5);
            $pdf->SetX(50);
            $pdf->Cell(124, 4, utf8_decode($view_declarante13->nombre), 0, 0, '', true);


            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($codigo_13->numero_cuenta), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($codigo_13->fecha_adquisicion), 0, 0, '', true);
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($codigo_13->monto_adeudo), 0, 0, '', true);
            $pdf->Cell(85, 4, utf8_decode($codigo_13->tipo_moneda), 0, 0, '', true);
            $pdf->Cell(60, 4, utf8_decode($codigo_13->saldo), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($codigo_13->tercero), 0, 0, '', true);
            $pdf->Cell(97, 4, utf8_decode($codigo_13->nombre_tercero), 0, 0, '', true);
            $pdf->Cell(48, 4, utf8_decode($codigo_13->rfc_tercero), 0, 0, '', true);

            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($codigo_13->otorgante), 0, 0, '', true);

                $pdf->Cell(97, 4, utf8_decode($codigo_13->nombre_otorgante), 0, 0, '', true);
                $pdf->Cell(48, 4, utf8_decode($codigo_13->rfc_otorgante), 0, 0, '', true);

            $pdf->Ln(9.5);
            $pdf->SetX(13);
            $pdf->Cell(190, 4, utf8_decode($codigo_13->mexico_extranjero), 0, 0, '', true);

            if ($codigo_13->mexico_extranjero == 'EN EL EXTRANJERO') {
                $pdf->SetX(70);
                $pdf->Cell(190, 4, '[' . utf8_decode($codigo_13->pais), 0, 0, '', true);
            }

            $pdf->SetY(124);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($codigo_13->aclaraciones), 0, '', true);


        }
    }


//---------------------------------------------------ADICIONALES-------------------------------------------------------------------
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('13_adeudos_add', $where, 1);
    $codigo_13_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $CI->db->select('*')->from('13_adeudos_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $id = $consulta[$x]['idadeudo'],
            'idadeudo' => $consulta[$x]['idadeudo'],
            'tipo_adeudo' => $consulta[$x]['tipo_adeudo'],
            'tipo_adeudo_esp' => $consulta[$x]['tipo_adeudo_esp'],
            'titular_adeudo' => $consulta[$x]['titular_adeudo'],
            'numero_cuenta' => $consulta[$x]['numero_cuenta'],
            'fecha_adquisicion' => $consulta[$x]['fecha_adquisicion'],
            'monto_adeudo' => $consulta[$x]['monto_adeudo'],
            'tipo_moneda' => $consulta[$x]['tipo_moneda'],
            'saldo' => $consulta[$x]['saldo'],
            'tercero' => $consulta[$x]['tercero'],
            'nombre_tercero' => $consulta[$x]['nombre_tercero'],
            'rfc_tercero' => $consulta[$x]['rfc_tercero'],
            'otorgante' => $consulta[$x]['otorgante'],
            'nombre_otorgante' => $consulta[$x]['nombre_otorgante'],
            'rfc_otorgante' => $consulta[$x]['rfc_otorgante'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'pais' => $consulta[$x]['pais'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],
        );

        $where = array('idformato' => $idformato, 'idadeudo' => $id);
        $CI->db->select('tipos_declarante.nombre as nombre');
        $CI->db->from('13_adeudos_add');
        $CI->db->join('tipos_declarante', '13_adeudos_add.titular_adeudo=tipos_declarante.idtipo');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_declarante13 = $query->row();
        $y++;
        if ($codigo_13_add->idformato == $idformato) {

            $pdf->setSourceFile('plantillas/Adeudos_13_In.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(24);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetY(24);
            $pdf->SetX(13);
            $pdf->MultiCell(152, 6, ' ', 0, 0, true);
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);
            $pdf->SetFillColor(0, 0, 0);
            // if ($codigo_13->ninguno == '1') {
            //     $logo = SERVIDOR . APP . 'application/images/check2.png';
            //     $pdf->Image($logo, 191.1, 58, 4, 4);
            // }
            $pdf->SetY(56);
            $pdf->SetX(50);
            if ($view_declarante13 != null) {
                if ($view_declarante13->nombre == 'DECLARANTE') {


                    if ($codigo_13->tipo_adeudo == 'OTRO / ESPECIFIQUE') {
                        $pdf->Cell(60, 4, utf8_decode($codigo_13->tipo_adeudo_esp));
                    } else {
                        $pdf->Cell(60, 4, utf8_decode($codigo_13->tipo_adeudo));
                    }
                    $pdf->Ln(5);
                    $pdf->SetX(50);
                    $pdf->Cell(124, 4, utf8_decode($view_declarante13->nombre));
                

            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["numero_cuenta"]), 0, 0, '', true);
            $pdf->Cell(92, 4, utf8_decode($datos["fecha_adquisicion"]));
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($datos["monto_adeudo"]));
            $pdf->Cell(85, 4, utf8_decode($datos["tipo_moneda"]));
            $pdf->Cell(60, 4, utf8_decode($datos["saldo"]), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($datos["tercero"]));
            if ($datos["tercero"] == 'PERSONA FÍSICA') {
                $pdf->Cell(97, 4, utf8_decode($datos["nombre_tercero"]), 0, 0, '', true);
                $pdf->Cell(47, 4, utf8_decode($datos["rfc_tercero"]), 0, 0, '', true);
            }else{
                $pdf->Cell(97, 4, utf8_decode($datos["nombre_tercero"]));
                $pdf->Cell(42, 4, utf8_decode($datos["rfc_tercero"]));
            }

            
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($datos["otorgante"]));

            if ($datos["otorgante"] == 'PERSONA FÍSICA') {
                $pdf->Cell(97, 4, utf8_decode($datos["nombre_otorgante"]), 0, 0, '', true);
                $pdf->Cell(47, 4, utf8_decode($datos["rfc_otorgante"]), 0, 0, '', true);
            }else{
                $pdf->Cell(97, 4, utf8_decode($datos["nombre_otorgante"]));
                $pdf->Cell(47, 4, utf8_decode($datos["rfc_otorgante"]));
            }

            $pdf->Ln(9.5);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]));

            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->SetX(70);
                $pdf->Cell(92, 4, '[' . utf8_decode($datos["pais"]) . ']');
            }

            $pdf->SetY(124);
            $pdf->SetX(13);
            $pdf->MultiCell(184, 3.5, utf8_decode($datos["aclaraciones"]));

            ///------------------------------------------------------------
            } else {
                    if ($codigo_13->tipo_adeudo == 'OTRO / ESPECIFIQUE') {
                        $pdf->Cell(153, 4, utf8_decode($codigo_13->tipo_adeudo_esp), 0, 0, '', true);
                    } else {
                        $pdf->Cell(153, 4, utf8_decode($codigo_13->tipo_adeudo), 0, 0, '', true);
                    }
                    $pdf->Ln(5);
                    $pdf->SetX(50);
                    $pdf->Cell(124, 4, utf8_decode($view_declarante13->nombre), 0, 0, '', true);
                    $pdf->Ln(9);
                    $pdf->SetX(13);
                    $pdf->Cell(92, 4, utf8_decode($datos["numero_cuenta"]), 0, 0, '', true);
                    $pdf->Cell(92, 4, utf8_decode($datos["fecha_adquisicion"]), 0, 0, '', true);
                    $pdf->Ln(13);
                    $pdf->SetX(13);
                    $pdf->Cell(45, 4, utf8_decode($datos["monto_adeudo"]), 0, 0, '', true);
                    $pdf->Cell(85, 4, utf8_decode($datos["tipo_moneda"]), 0, 0, '', true);
                    $pdf->Cell(60, 4, utf8_decode($datos["saldo"]), 0, 0, '', true);
                    $pdf->Ln(10);
                    $pdf->SetX(13);
                    $pdf->Cell(45, 4, utf8_decode($datos["tercero"]), 0, 0, '', true);
                    $pdf->Cell(97, 4, utf8_decode($datos["nombre_tercero"]), 0, 0, '', true);
                    $pdf->Cell(48, 4, utf8_decode($datos["rfc_tercero"]), 0, 0, '', true);
                    $pdf->Ln(11);
                    $pdf->SetX(13);
                    $pdf->Cell(45, 4, utf8_decode($datos["otorgante"]), 0, 0, '', true);
                    $pdf->Cell(97, 4, utf8_decode($datos["nombre_otorgante"]), 0, 0, '', true);
                    $pdf->Cell(48, 4, utf8_decode($datos["rfc_otorgante"]), 0, 0, '', true);
                    $pdf->Ln(9.5);
                    $pdf->SetX(13);
                    $pdf->Cell(190, 4, utf8_decode($datos["mexico_extranjero"]), 0, 0, '', true);
                    if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                        $pdf->SetX(70);
                        $pdf->Cell(92, 4, '[' . utf8_decode($datos["pais"]), 0, 0, '', true);
                    }

                    $pdf->SetY(124);
                    $pdf->SetX(13);
                    $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);




                }
            }
        }
    }



}

